Bug 517839 - bitxor and bitor both mapped to single bitor function
bitxor and bitor both mapped to single bitor function
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hsqldb (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Blocker/F12FinalBlocker
  Show dependency treegraph
 
Reported: 2009-08-17 08:55 EDT by Caolan McNamara
Modified: 2013-01-10 00:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-29 04:42:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix (799 bytes, patch)
2009-08-17 08:55 EDT, Caolan McNamara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 103528 None None None Never

  None (edit)
Description Caolan McNamara 2009-08-17 08:55:02 EDT
Created attachment 357648 [details]
patch to fix

Description of problem:
BITXOR behaves the same as BITOR

Version-Release number of selected component (if applicable):
hsqldb-1.8.0.10-2.fc11.i586
Comment 1 Jesse Keating 2009-10-21 18:02:44 EDT
Caolan, what does this break, and in what way is this a blocker, that we should delay the release for?
Comment 2 Caolan McNamara 2009-10-22 05:21:59 EDT
It breaks openoffice.org base, 
e.g. open an openoffice.org database, open a table that has an ID column.  Make a
column called "BID".  Go to Tools-SQL and run:
update "Events" set BID = BITXOR(ID, 1)
This will behave as:
update "Events" set BID = BITOR(ID, 1)
i.e. BITXOR incorrectly behaves as BITOR

Without the fix we're out of sync with vanilla OpenOffice.org 3.1.1. The patch is safe and was logged two months ago here in order to be possible to meet the blocker target easily
Comment 3 Jesse Keating 2009-10-22 13:58:31 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=1763415 has the patches.  Please test and if good, request tagging for F12.
Comment 4 Caolan McNamara 2009-10-29 04:42:17 EDT
available in dist-f12

Note You need to log in before you can comment on or make changes to this bug.